using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    /// <summary>
    /// 用户与医生管理关联关系表 - 实体
    /// </summary>
    [Table("UserDoctor")]
    public partial class UserDoctor : Entity
    {
        [ForeignKey("User")]
        public Guid UserId { get; set; }

        [ForeignKey("Doctor")]
        public Guid DoctorId { get; set; }

        public Doctor Doctor { get; set; }

        public User User { get; set; }
    }
}
